View Issue Details

IDProjectCategoryView StatusLast Update
0003685SymmetricDS ProBugpublic2019-05-30 16:38
ReportermmichalekAssigned Tojaredfrees 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.12 
Target VersionFixed in Version3.9.13 
Summary0003685: File Router's Auto-Create fails due to Null Conflict Strategy
DescriptionUse the Auto Create feature of File Routing to create a file-router. When you click save, you get "unexpected error occurs", and it's due to the fact that the Conflict Strategy, which is required, isn't specified in the insert statement (and isn't shown on the screen either)
Tagsfile sync

Activities

jaredfrees

2019-05-10 14:35

developer   ~0001463

For me, the Auto Create wizard automatically selected the first Conflict Strategy so there was no error, I think this was fixed recently. But you are correct that the Auto Create feature does not show the Conflict Strategy for you to select, but you can just edit the file router after it is created. The Auto Create feature could potentially be updated to include selecting a Conflict Strategy for File Routing but it would make it different than Table Routing even though they use the same wizard.

Issue History

Date Modified Username Field Change
2018-08-21 15:15 mmichalek New Issue
2018-08-21 15:15 mmichalek Status new => assigned
2018-08-21 15:15 mmichalek Assigned To => mmichalek
2018-08-21 15:15 mmichalek Status assigned => resolved
2018-08-21 15:15 mmichalek Resolution open => fixed
2018-08-21 15:15 mmichalek Fixed in Version => 3.9.13
2018-08-21 15:18 mmichalek Status resolved => assigned
2018-08-21 15:18 mmichalek Project SymmetricDS => SymmetricDS Pro
2019-05-09 13:56 elong Tag Attached: file sync
2019-05-09 13:56 elong Assigned To mmichalek => jaredfrees
2019-05-09 13:57 elong Target Version 3.9.13 => 3.10.3
2019-05-10 14:35 jaredfrees Note Added: 0001463
2019-05-10 14:36 jaredfrees Status assigned => feedback
2019-05-15 10:58 jaredfrees Status feedback => closed
2019-05-30 16:38 jaredfrees Target Version 3.10.3 =>